{
"access_codes": [
{
"access_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"common_code_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_status": "<string>",
"errors": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"is_backup_access_code_available": true,
"is_external_modification_allowed": true,
"is_managed": true,
"is_offline_access_code": true,
"is_one_time_use": true,
"name": "<string>",
"pending_mutations": [
{
"created_at": "2023-11-07T05:31:56Z",
"message": "<string>",
"mutation_code": "creating"
}
],
"status": "setting",
"type": "time_bound",
"warnings": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dormakaba_oracode_metadata": {
"is_cancellable": true,
"is_early_checkin_able": true,
"is_extendable": true,
"is_overridable": true,
"site_name": "<string>",
"stay_id": 123,
"user_level_id": "<string>",
"user_level_name": "<string>"
},
"ends_at": "2023-11-07T05:31:56Z",
"is_backup": true,
"is_scheduled_on_device": true,
"is_waiting_for_code_assignment": true,
"pulled_backup_access_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"starts_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"has_next_page": true,
"next_page_cursor": "<string>",
"next_page_url": "<string>"
}
}List Access Codes
Returns a list of all access codes. Reference for GET /access_codes/list in the Seam API, with request and response details.
{
"access_codes": [
{
"access_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"common_code_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_status": "<string>",
"errors": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"is_backup_access_code_available": true,
"is_external_modification_allowed": true,
"is_managed": true,
"is_offline_access_code": true,
"is_one_time_use": true,
"name": "<string>",
"pending_mutations": [
{
"created_at": "2023-11-07T05:31:56Z",
"message": "<string>",
"mutation_code": "creating"
}
],
"status": "setting",
"type": "time_bound",
"warnings": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dormakaba_oracode_metadata": {
"is_cancellable": true,
"is_early_checkin_able": true,
"is_extendable": true,
"is_overridable": true,
"site_name": "<string>",
"stay_id": 123,
"user_level_id": "<string>",
"user_level_name": "<string>"
},
"ends_at": "2023-11-07T05:31:56Z",
"is_backup": true,
"is_scheduled_on_device": true,
"is_waiting_for_code_assignment": true,
"pulled_backup_access_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"starts_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"has_next_page": true,
"next_page_cursor": "<string>",
"next_page_url": "<string>"
}
}device_id, access_code_ids, access_method_id, access_grant_id, or access_grant_key, returns access codes across the workspace, or across the customer when customer_key is set. Use limit and page_cursor to page through them.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Customer key for which you want to list access codes.
1ID of the device for which you want to list access codes.
IDs of the access codes that you want to retrieve.
ID of the access method for which you want to list access codes.
ID of the access grant for which you want to list access codes.
Key of the access grant for which you want to list access codes.
1Your user ID for the user by which to filter access codes.
1Numerical limit on the number of access codes to return.
String for which to search. Filters returned access codes to include all records that satisfy a partial match using name, code or access_code_id.
1Identifies the specific page of results to return, obtained from the previous page's next_page_cursor.
Was this page helpful?